Το JailbreakMe 3.0 που κυκλοφόρησε από τον Comex για το iPhone, iPod touch και το iPad(2) είναι κάτι που σίγουρα περιμέναμε αρκετό καιρό. Ο Comex για να λύσει τις απορίες διαφόρων χρηστών αναφέρει ότι το JailbreakMe 3.0 για την ώρα μπορεί να περαστεί μόνο σε συσκευές με iOS 4.3.3 και αυτό γιατί βιαζόταν να το κυκλοφορήσει.

Αυτό φυσικά έγινε μόνο επειδή ήθελε να κυκλοφορήσει το JailbreakMe άμεσα έτσι ώστε η Apple να μην προλάβει να καλύψει το κενό ασφαλείας με το καινούριο της iOS. Έτσι κατάφερε να δώσει την χαρά του Jailbreak σε πολλούς iPad 2 χρήστες και πρόσθεσε πως αργότερα θα δουλέψει πάνω σε αυτό ώστε να υποστηρίζει και παλαιότερες εκδόσεις firmware όπως το 4.2.1. Οι χρήστες φυσικά θα πρέπει να κάνουν υπομονή λίγο καιρό ή αν θέλουν να κάνουν jailbreak με το JailbreakMe να αναβαθμίσουν τις συσκευές τους στο iOS 4.3.3.

Και για να μην ξεχνάμε!! όλοι θα πρέπει να σώσουμε τα SHSH μας με το TinyUmbrella ή οποιοδήποτε άλλο tweak της επιλογής μας από το Cydia, για να έχουμε την δυνατότητα στο μέλλον για downgrade ή jailbreak!